#
# spec file for package libgdata (Version 0.6.6)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libgdata
BuildRequires:  glib2-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  intltool
BuildRequires:  libsoup-devel
License:        LGPLv2.1+
Group:          Development/Libraries/GNOME
Version:        0.6.6
Release:        5.1
Summary:        GLib-based library for accessing online service APIs using the GData protocol
Source:         %{name}-%{version}.tar.bz2
Source99:       baselibs.conf
# PATCH-FIX-UPSTREAM libgdata-validate-ssl-cert.patch bnc#752088 CVE-2012-1177 vuntz@opensuse.org -- validate ssl certificates for all connections
Patch0:         libgdata-validate-ssl-cert.patch
# Needed for patch0
BuildRequires:  gnome-common
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libgdata is a GLib-based library for accessing online service APIs using
the GData protocol — most notably, Google's services. It provides APIs
to access the common Google services, and has full asynchronous support.

%package -n libgdata7
License:        LGPLv2.1+
Summary:        GLib-based library for accessing online service APIs using the GData protocol
Group:          Development/Libraries/GNOME
Requires:       %{name}-lang = %{version}
# Needed for the lang package to be installable:
Provides:       %{name} = %{version}

%description -n libgdata7
libgdata is a GLib-based library for accessing online service APIs using
the GData protocol — most notably, Google's services. It provides APIs
to access the common Google services, and has full asynchronous support.

%package devel
License:        LGPLv2.1+
Summary:        GLib-based library for accessing online service APIs using the GData protocol
Group:          Development/Libraries/GNOME
Requires:       libgdata7 = %{version}
Requires:       glib2-devel
Requires:       libsoup-devel
Requires:       libxml2-devel

%description devel
libgdata is a GLib-based library for accessing online service APIs using
the GData protocol — most notably, Google's services. It provides APIs
to access the common Google services, and has full asynchronous support.


%lang_package
%prep
%setup -q
%patch0 -p1
# Needed for patch0
NOCONFIGURE=1 gnome-autogen.sh

%build
%configure \
        --disable-static \
        --with-ca-certs=/etc/ssl/ca-bundle.pem
%__make %{?jobs:-j%jobs}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang gdata

%clean
rm -rf %{buildroot}

%post -n libgdata7 -p /sbin/ldconfig

%postun -n libgdata7 -p /sbin/ldconfig

%files -n libgdata7
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING HACKING NEWS README
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/GData-0.0.typelib

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gtk-doc/html/gdata

%files lang -f gdata.lang

%changelog
* Thu Jun 28 2012 vuntz@opensuse.org
- Add libgdata-validate-ssl-cert.patch: validate SSL certificates
  for all connections. Fix bnc#752088, CVE-2012-1177.
- Add gnome-common BuildRequires and call gnome-autogen.sh: needed
  for above patch.
- Pass --with-ca-certs=/etc/ssl/ca-bundle.pem to configure to let
  libgdata know about the location of our certificates.
* Tue Dec 14 2010 vuntz@opensuse.org
- Update to version 0.6.6:
  + Major changes:
  - Fixed attribute escaping for several elements
  - Fixed asynchronous authentication success notification
  - Various small fixes to the core, YouTube and Documents
    services
  - Fixed many small and large memory leaks
  - Fixed the XML comparisons in the test suite re. changes to
    GHashTable in GLib master
  + Bugs fixed:
  - bgo#630350: Email address cannot contain name
  - bgo#635736: Asynchronous authentication tests broken
* Thu Sep 30 2010 vuntz@opensuse.org
- Update to version 0.6.5:
  + Fixed the introspection build with gobject-introspection >=
    0.9.7 and bumped our dependency to match
  + Added a lot of missing introspection annotations
  + Fixed a few small leaks
* Sun Sep 19 2010 vuntz@opensuse.org
- Move gir files to devel subpackage.
* Wed Sep  1 2010 vuntz@opensuse.org
- Drop gir-repository BuildRequires: the introspection files that
  were needed from there are now directly with the appropriate
  libraries.
* Mon Aug 30 2010 vuntz@opensuse.org
- Add baselibs.conf.
* Tue Mar 30 2010 vuntz@opensuse.org
- Update to version 0.6.4:
  + Major changes:
  - Fixed the behaviour of gdata_entry_get_id() for
    GDataPicasaWebAlbum and GDataPicasaWebFile, which was
    previously *broken*
    Use gdata_picasaweb_album_get_id() and
    gdata_picasaweb_file_get_id() for the equivalent results now
  - Don't send ETags if a query is modified since it was last
    used; this improves libgdata's behaviour for programs which
    re-use GDataQuery instances
  - Lots of documentation fixes and improvements
  - Added missing #includes to gdata.h
  - Improved error reporting about network and proxy problems
  + API changes:
  - Added GDataPicasaWebAlbum:album-id,
    gdata_picasaweb_album_get_id(), GDataPicasaWebFile:file-id
    and gdata_picasaweb_file_get_id()
  - Fix the value returned by gdata_entry_get_id() for
    GDataPicasaWebAlbum and GDataPicasaWebFile; it is now a full
    URI
  + Bugs fixed:
  - bgo#613529 - Sending ETag with modified query
* Sat Mar 20 2010 dimstar@opensuse.org
- Update to version 0.6.3:
  + Major changes:
  - Contacts' names can now be set as an entire GDataGDName,
    rather than piecemeal
  - Added the kind category to GDataContactsContact on init
  + API changes:
  - Added gdata_contacts_contact_set_name and made
    GDataContactsContact:name writeable
  - Setters in GDataGDPostalAddress no longer accept empty
    strings (only NULL or a non-empty string)
  + Updated translations.
* Sun Feb 21 2010 vuntz@opensuse.org
- Update to version 0.6.2:
  + Fixed introspection build for machines without a system-wide
    libtool. bgo#610273
  + Updated translations.
* Wed Feb 17 2010 vuntz@opensuse.org
- Update to version 0.6.1:
  + Fixed introspection build for previously-non-installed
    libgdata. bgo#610007
  + Updated translations.
* Sun Feb 14 2010 vuntz@opensuse.org
- Update to version 0.6.0:
  + Major changes:
  - Added feed icon support
  - Added support for querying for user information on the
    PicasaWeb service
  - Added some code examples to the documentation
  - Ensured UTF-8 is supported correctly everywhere
  - Added GObject introspection support (GData-0.0.gir)
  - Added a download API for PicasaWeb images and thumbnails
  - Added an asynchronous PicasaWeb upload API
  - Reorganised the build system to use non-recursive automake
  - Added gcov support and consequently improved test coverage
    somewhat
  - Ensured HTTPS requests are used wherever possible, unless the
    LIBGDATA_FORCE_HTTP environment variable is set
  - Modified memory management to consistently use the GLib
    memory manager
  - Consolidated generic API errors to
    GDATA_SERVICE_ERROR_PROTOCOL_ERROR
  + Many API additions, and a few API changes (see NEWS for
    details)
  + Bugs fixed:
  - bgo#598910 — Timestamp bug
  - bgo#598893 — gdata_picasaweb_album_new doesn't set a valid
    visibility
  - bgo#599140 — Have albums initialise date to now by default
  - bgo#589858 — Handle gphoto XML elements found in 'GDataFeed'
  - bgo#602156 — GDataUploadStream should close GOutputStream on
    dispose
  - bgo#598748 — *_download_document prevents non-overwriting
    saving into directories
  - bgo#597248, bgo#598746, bgo#598912, bgo#598913, bgo#598649,
    bgo#600262, bgo#604313, bgo#601919, bgo#607607
- Add gir-repository, gobject-introspection-devel BuildRequires.
- Rename libgdata6 to libgdata7, following soname version bump.
* Sat Dec  5 2009 vuntz@opensuse.org
- Update to version 0.5.1:
  + Major changes:
  - Fix up Unicode support in queries
  + Bugs fixed:
  - bgo#598746 — gdata_picasaweb_query_set_image_size
    documentation fix
  - bgo#598910 — Timestamp bug
  - bgo#598912 — Test data was changed by my mucking around with
    comments
  - bgo#598893 — gdata_picasaweb_album_new doesn't set a valid
    visibility
  - bgo#602156 — GDataUploadStream should close GOutputStream on
    dispose
- Changes from version 0.5.0:
  + Major changes:
  - Added Exif support for PicasaWeb files
  - Added the ability to query single Google Documents files
  - Errors are now logged in the "libgdata" domain
  - Added GeoRSS support for PicasaWeb files and albums
  - Optimisation to the XML output functions
  - Added streaming download and upload support using
    GDataDownloadStream and GDataUploadStream
  - Added support for silent building with AM_SILENT_RULES
  - Updated the GData namespace to version 3, improving name and
    address support
  + Many API additions, and a few API changes (see NEWS for
    details)
  + Bugs fixed:
  - bgo#589265 – Crash on query error
  - bgo#589545 – *_download_document(): let the client decide
    where to download
  - bgo#589201 – Add EXIF support for PicasaWeb image files
  - bgo#589850 – gdata_picasaweb_album_get_timestamp() returns
    date in 1970!
  - bgo#590345 – <gd:deleted> handling in GDataDocumentsEntry
  - bgo#589855 – Obsolete <rights> not handled in
    GDataPicasaWebAlbum parse_xml()
  - bgo#590341 – Allow querying of single documents
  - bgo#590132 – Unhandled XML for georss
  - bgo#590568 – Crash on querying inside a folder
  - bgo#591966 — Can't query single spreadsheets
  - bgo#591974 — remove_document_from_folder moves documents to
    the trash
  - bgo#591691 — Getting a feed containing PDF documents returns
    NULL
  - bgo#592124 — G_LOG_DOMAIN not set for subdirectories
  - bgo#592845 — Undefined symbol:
    gdata_picasaweb_query_new_with_limits
  - bgo#593239 — Use GDataUploadStream for uploading files
  - bgo#593336 — Query parameter "q=..." isn't valid for album
    kinds
  + Updated translations.
- Rename libgdata5 to libgdata6, following soname change.
* Mon Aug  3 2009 vuntz@novell.com
- Remove Obsoletes for libgdata3 and libgdata4.
- Drop libgdata-rpmlintrc as it's not needed anymore.
* Wed Jul 29 2009 vuntz@novell.com
- Update to version 0.4.0:
  + Major changes:
  - Added comparison functions for all small XML elements (such
    as GDataLink and friends)
  - Added GDataContactsContact photo support
  - Translatable strings are now even clearer, and all have
    translator comments
  - Fixed a number of locale-dependent bugs
  - Converted small XML element structs to full GObjects
  - Added a PicasaWeb service
  - Fixed more licencing issues (libgdata is licenced under
    LGPLv2.1+)
  - Required link relation types to be full URIs
  - Added a Google Documents service
  + API changes:
  - Added gdata_contacts_contact_get_extended_properties
  - Added *_compare
  - Added GDataContactsContact:has-photo,
    gdata_contacts_contact_has_photo,
    gdata_contacts_contact_get_photo,
    gdata_contacts_contact_set_photo
  - Converted GDataAuthor, GDataCategory, GDataLink,
    GDataGenerator to GObjects (removed *_free functions and
    added mandatory field accessors)
  - Converted GDataGDEmailAddress, GDataGDFeedLink,
    GDataGDIMAddress, GDataGDOrganization, GDataGDPhoneNumber,
    GDataGDPostalAddress, GDataGDRating, GDataGDWhen,
    GDataGDReminder, GDataGDWhere, GDataGDWho to GObjects
    (removed *_free functions and added mandatory field
    accessors)
  - Converted GDataMediaCategory, GDataMediaContent,
    GDataMediaCredit, GDataMediaRating, GDataMediaRestriction,
    GDataMediaThumbnail to GObjects
  - (removed *_free functions and added mandatory field
    accessors)
  - Removed gdata_media_thumbnail_parse_time,
    gdata_media_thumbnail_build_time
  - Converted GDataYouTubeState to GObject (removed
    gdata_youtube_state_free and added mandatory field accessors)
  - Added GDataYouTubeControl
  - Added PicasaWeb service API
  - Removed gdata_entry_new_from_xml, other *_new_from_xml
    functions, gdata_entry_get_xml
  - Added gdata_parsable_new_from_xml, gdata_parsable_get_xml
  - Removed GDATA_PARSER_ERROR_UNHANDLED_XML_ELEMENT parser error
  - Added GDataParsableClass->element_name,
    GDataParsableClass->element_namespace
  - Added GDATA_LINK_ALTERNATE, GDATA_LINK_EDIT,
    GDATA_LINK_EDIT_MEDIA, GDATA_LINK_ENCLOSURE,
    GDATA_LINK_RELATED, GDATA_LINK_SELF, GDATA_LINK_VIA for use
    with gdata_entry_look_up_link
  - Added gdata_contacts_service_update_contact
  - Added gdata_youtube_service_query_single_video,
    gdata_youtube_service_query_single_video_async,
    gdata_youtube_service_query_single_video_finish
  - Added gdata_youtube_video_get_video_id_from_uri
  - Added GDataYouTubeAspectRatio,
    gdata_youtube_video_get_aspect_ratio,
    gdata_youtube_video_set_aspect_ratio
  - Added Google Documents service API
  - Added gdata_contacts_contact_remove_all_email_addresses,
    gdata_contacts_contact_remove_all_im_addresses,
    gdata_contacts_contact_remove_all_postal_addresses,
    gdata_contacts_contact_remove_all_phone_numbers,
    gdata_contacts_contact_remove_all_organizations
  + Bugs fixed:
  - bgo#584417 - Strings are not properly formed for localisation
  - bgo#584737 - String parsing is locale-sensitive
  - bgo#579170 - Eliminate gdata_parser_error_unhandled_element
  - bgo#587277 - Some files are GPLv3 but license is LGPLv2.1?
  - bgo#588052 - Parse the yt:aspectratio tag
  - bgo#587073 - Add Google Documents service
  - bgo#588995 - float radix character depends on LC_NUMERIC, but
    Google wants "."
  + Updated translations.
- Rename package to libgdata5, and Obsoletes libgdata4.
* Wed May 27 2009 vuntz@novell.com
- Update to version 0.3.0:
  + Major changes:
  - Empty (but present) entry titles are now set to an empty
    string, rather than NULL
  - GDataCalendarEvent has basic recurrence support
  - Optional GNOME support has been added for automagic proxy
    configuration (depends on libsoup-gnome-2.4)
  - Deprecated libsoup API has been removed, bumping the
    requirement to 2.26.1
  - Translation comments and some translatable strings have been
    made clearer
  - Default error handling has been improved
  - More async versions of functions have been added
  - The XML output of GDataCalendarCalendar has been completed
  - GDataYouTubeVideo now has support for recorded times and
    comment feed links
  - Added a GDataYouTubeQuery class
  - Access control list (ACL) support, implemented on
    GDataCalendarCalendar
  - Abstract XML parsing into GDataParsable to allow GDataFeed to
    be overridden
  - Added a GDataCalendarFeed class to deal with
    calendar-specific properties
  + API changes:
  - Added GDataCalendarEvent:recurrence,
    gdata_calendar_event_get_recurrence,
    gdata_calendar_event_set_recurrence
  - Added GDataCalendarEvent:original-event-id,
    GDataCalendarEvent:original-event-uri,
    gdata_calendar_event_get_original_event_details
  - Added gdata_calendar_event_is_exception
  - Added GDATA_SERVICE_ERROR_NOT_FOUND,
    GDATA_SERVICE_ERROR_CONFLICT
  - Changed GDataServiceClass->parse_error_response
  - Added gdata_service_insert_entry_async,
    gdata_service_insert_entry_finish
  - Added gdata_service_update_entry_async,
    gdata_service_update_entry_finish
  - Added gdata_service_delete_entry_async,
    gdata_service_delete_entry_finish
  - Added gdata_color_to_hexadecimal
  - Added GDataYouTubeVideo:comments-feed-link,
    gdata_youtube_video_get_comments_feed_link
  - Added GDataYouTubeVideo:recorded,
    gdata_youtube_video_get_recorded,
    gdata_youtube_video_set_recorded
  - Added read_only parameter to gdata_gd_feed_link_new and
    member to GDataGDFeedLink
  - Added GDataYouTubeQuery
  - Added GDataAccessHandler, GDataAccessRule
  - Added GDATA_SERVICE_ERROR_FORBIDDEN
  - Added GDataParsable
  - Changed GDataEntry to extend GDataParsable, rather than
    GObject
  - Removed GDataEntry->parse_xml
  - Changed GDataFeed to extend GDataParsable, rather than
    GObject
  - Added GDataCalendarFeed
  - Added GDataServiceClass->feed_type
  + Bugs fixed:
  - bgo#582026 – Access Control List functionality
  - bgo#578367 – Add support for YouTube-specific query
    parameters
  - bgo#581706 – translation issues
  - bgo#580330 – Rejects empty entry titles
  + Updated translations.
- Rename package to libgdata4, and Obsoletes libgdata3.
- Add libgdata-rpmlintrc.
* Sun May 24 2009 vuntz@novell.com
- Initial package.
